GEARMAN_CLIENT_OPTIONS_T(3)

NAME
gearman_client_options_t - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

gearman_client_options_t

gearman_client_options_t gearman_client_options(const gearman_client_st *client)

void gearman_client_set_options(gearman_client_st *client, gearman_client_options_t options)

void gearman_client_add_options(gearman_client_st *client, gearman_client_options_t options)

void gearman_client_remove_options(gearman_client_st *client, gearman_client_options_t options)

bool gearman_client_has_option(gearman_client_st *client, gearman_client_options_t option)

    Link with -lgearman

DESCRIPTION

gearman_client_options() returns the gearman_client_options_t for gearman_client_st. You enable options via gearman_client_add_options() and disable options via gearman_client_remove_options().

gearman_client_set_options() has been DEPRECATED.

The currently supported options are:

GEARMAN_CLIENT_NON_BLOCKING

    Run the cient in a non-blocking mode.

GEARMAN_CLIENT_FREE_TASKS

    Automatically free task objects once they are complete.

GEARMAN_CLIENT_UNBUFFERED_RESULT

    Allow the client to read data in chunks rather than have the library buffer the entire data result and pass that back.

RETURN VALUE

Various

HOME

To find out more information please check: http://gearman.info/

See also

    gearmand(8) libgearman(3)

AUTHOR
Data Differential http://datadifferential.com/

COPYRIGHT
2011, Data Differential, http://datadifferential.com/